## hdbc-odbc 1.0.0.0

=== Makefile ===
# Copyright (C) 2004 - 2005 John Goerzen <jgoerzen@complete.org>
#
#    This library is free software; you can redistribute it and/or
#    modify it under the terms of the GNU Lesser General Public
#    License as published by the Free Software Foundation; either
#    version 2.1 of the License, or (at your option) any later version.
#
#    This library is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
#    Lesser General Public License for more details.
#
#    You should have received a copy of the GNU Lesser General Public
#    License along with this library; if not, write to the Free Software
#    Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA

GHCPARMS := -fglasgow-exts

.PHONY: all hugsbuild
all: setup			# GHC build
	./setup configure --user
	./setup build

hugsbuild: setup
	./setup configure --hugs
	./setup build

setup: Setup.lhs HDBC-odbc.cabal
	ghc -package Cabal Setup.lhs -o setup

clean:
	-./setup clean
	-rm -rf html `find . -name "*.o"` `find . -name "*.hi"` \
		`find . -name "*~"` *.a setup dist testsrc/runtests \
		local-pkg doctmp
	-rm -rf testtmp/* testtmp*

testsrc/runtests: all $(wildcard testsrc/*.hs) $(wildcard testsrc/*/*.hs) $(wildcard testsrc/*/*/*.hs)
	cd testsrc && ghc --make -package mtl -package HUnit -package MissingH -package HDBC -lodbc $(GHCPARMS) -o runtests  -i../dist/build:.. ../dist/build/hdbc-odbc-helper.o runtests.hs

test-ghc6: testsrc/runtests
	testsrc/runtests

test-hugs: hugsbuild
	runhugs -98 +o -P$(PWD)/dist/build:$(PWD)/testsrc: testsrc/runtests.hs

interact-hugs:
	hugs -98 +o -P$(PWD)/dist/build:

interact-ghci: all
	ghci -idist/build -Ldist/build $(GHCPARMS)

interact: interact-hugs

test: test-ghc6 test-hugs

## hdbc-odbc 0.99.0.0

=== debian/changelog ===
hdbc-odbc (0.99.0.0) unstable; urgency=low

  * Initial Release.

 -- John Goerzen <jgoerzen@complete.org>  Mon, 09 Jan 2006 05:31:21 -0600

=== debian/control ===
Source: hdbc-odbc
Priority: optional
Maintainer: John Goerzen <jgoerzen@complete.org>
Build-Depends: debhelper (>= 4.0.0), ghc6 (>= 6.4.1), ghc6 (<< 6.4.1-999), haskell-devscripts (>= 0.5.6), cpphs, haddock, hugs (>= 98.200503.08), libghc6-hdbc-dev (>= 0.99.0), libhugs-hdbc (>= 0.99.0), unixodbc-dev (>= 2.2.11)
Standards-Version: 3.6.2
Section: libs

Package: libghc6-hdbc-odbc-dev
Section: libdevel
Architecture: any
Depends: libghc6-hdbc-dev (>= 0.99.0), ${haskell:Depends}, ${shlibs:Depends}, ${misc:Depends}, unixodbc-dev (>= 2.2.11)
Description: unixODBC HDBC (Haskell Database Connectivity) Driver for GHC
 HDBC provides an abstraction layer between Haskell programs and SQL
 relational databases. This lets you write database code once, in
 Haskell, and have it work with any number of backend SQL databases
 (MySQL, Oracle, PostgreSQL, ODBC-compliant databases, etc.)
 .
 This package provides the ODBC database driver for HDBC under GHC.

Package: libhugs-hdbc-odbc
Section: libs
Architecture: any
Depends: libhugs-hdbc (>= 0.99.0), ${haskell:Depends}, ${shlibs:Depends}, ${misc:Depends}
Description: unixODBC HDBC (Haskell Database Connectivity) Driver for Hugs
 HDBC provides an abstraction layer between Haskell programs and SQL
 relational databases. This lets you write database code once, in
 Haskell, and have it work with any number of backend SQL databases
 (MySQL, Oracle, PostgreSQL, ODBC-compliant databases, etc.)
 .
 This package provides the ODBC database driver for HDBC under Hugs.

## hdbc-odbc 0.99.2.0

=== debian/changelog ===
hdbc-odbc (0.99.2.0) unstable; urgency=low

  * Updated to 0.99.2: implemented new memory management system,
    optional transaction support, and metadata inquiry features.

 -- John Goerzen <jgoerzen@complete.org>  Tue, 28 Mar 2006 05:40:07 -0600

## hdbc-odbc 0.99.2.1

=== debian/changelog ===
hdbc-odbc (0.99.2.1) unstable; urgency=low

  * Give wrapobj a unique name so ODBC and PostgreSQL can coexist
    in a single binary.

 -- John Goerzen <jgoerzen@complete.org>  Tue, 28 Mar 2006 22:21:47 -0600

=== debian/control ===
Source: hdbc-odbc
Priority: optional
Maintainer: John Goerzen <jgoerzen@complete.org>
Build-Depends: debhelper (>= 4.0.0), ghc6 (>= 6.4.1), ghc6 (<< 6.4.1-999), haskell-devscripts (>= 0.5.6), cpphs, haddock, hugs (>= 98.200503.08), libghc6-hdbc-dev (>= 0.99.2), libhugs-hdbc (>= 0.99.2), unixodbc-dev (>= 2.2.11)
Standards-Version: 3.6.2
Section: libs

Package: libghc6-hdbc-odbc-dev
Section: libdevel
Architecture: any
Depends: libghc6-hdbc-dev (>= 0.99.2), ${haskell:Depends}, ${shlibs:Depends}, ${misc:Depends}, unixodbc-dev (>= 2.2.11)
Description: unixODBC HDBC (Haskell Database Connectivity) Driver for GHC
 HDBC provides an abstraction layer between Haskell programs and SQL
 relational databases. This lets you write database code once, in
 Haskell, and have it work with any number of backend SQL databases
 (MySQL, Oracle, PostgreSQL, ODBC-compliant databases, etc.)
 .
 This package provides the ODBC database driver for HDBC under GHC.

Package: libhugs-hdbc-odbc
Section: libs
Architecture: any
Depends: libhugs-hdbc (>= 0.99.2), ${haskell:Depends}, ${shlibs:Depends}, ${misc:Depends}
Description: unixODBC HDBC (Haskell Database Connectivity) Driver for Hugs
 HDBC provides an abstraction layer between Haskell programs and SQL
 relational databases. This lets you write database code once, in
 Haskell, and have it work with any number of backend SQL databases
 (MySQL, Oracle, PostgreSQL, ODBC-compliant databases, etc.)
 .
 This package provides the ODBC database driver for HDBC under Hugs.

## hdbc-odbc 1.0.0.0

=== debian/changelog ===
hdbc-odbc (1.0.0.0) unstable; urgency=low

  * Blessing as 1.0.0.0
  * Rebuilding with GHC 6.4.2 for Debian

 -- John Goerzen <jgoerzen@complete.org>  Thu, 29 Jun 2006 19:03:05 -0500

=== debian/control ===
Source: hdbc-odbc
Priority: optional
Maintainer: John Goerzen <jgoerzen@complete.org>
Build-Depends: debhelper (>= 4.0.0), ghc6 (>= 6.4.2), ghc6 (<< 6.4.2-999), haskell-devscripts (>= 0.5.6), cpphs, haddock, hugs (>= 98.200503.08), libghc6-hdbc-dev (>= 1.0.0), libhugs-hdbc (>= 1.0.0), unixodbc-dev (>= 2.2.11)
Standards-Version: 3.6.2
Section: libs

Package: libghc6-hdbc-odbc-dev
Section: libdevel
Architecture: any
Depends: libghc6-hdbc-dev (>= 1.0.0), ${haskell:Depends}, ${shlibs:Depends}, ${misc:Depends}, unixodbc-dev (>= 2.2.11)
Description: unixODBC HDBC (Haskell Database Connectivity) Driver for GHC
 HDBC provides an abstraction layer between Haskell programs and SQL
 relational databases. This lets you write database code once, in
 Haskell, and have it work with any number of backend SQL databases
 (MySQL, Oracle, PostgreSQL, ODBC-compliant databases, etc.)
 .
 This package provides the ODBC database driver for HDBC under GHC.

Package: libhugs-hdbc-odbc
Section: libs
Architecture: any
Depends: libhugs-hdbc (>= 1.0.0), ${haskell:Depends}, ${shlibs:Depends}, ${misc:Depends}
Description: unixODBC HDBC (Haskell Database Connectivity) Driver for Hugs
 HDBC provides an abstraction layer between Haskell programs and SQL
 relational databases. This lets you write database code once, in
 Haskell, and have it work with any number of backend SQL databases
 (MySQL, Oracle, PostgreSQL, ODBC-compliant databases, etc.)
 .
 This package provides the ODBC database driver for HDBC under Hugs.

## hdbc-odbc 1.0.0.1

=== debian/changelog ===
hdbc-odbc (1.0.0.1) unstable; urgency=low

  * Updated to now build on Windows.

 -- John Goerzen <jgoerzen@complete.org>  Tue, 18 Jul 2006 03:21:57 -0500

## hdbc-odbc 1.0.1.0

=== debian/changelog ===
hdbc-odbc (1.0.1.0) unstable; urgency=low

  * Rebuild against HDBC 1.0.1.

 -- John Goerzen <jgoerzen@complete.org>  Sat, 22 Jul 2006 07:23:51 -0500

=== debian/control ===
Source: hdbc-odbc
Priority: optional
Maintainer: John Goerzen <jgoerzen@complete.org>
Build-Depends: debhelper (>= 4.0.0), ghc6 (>= 6.4.2), ghc6 (<< 6.4.2-999), haskell-devscripts (>= 0.5.6), cpphs, haddock, hugs (>= 98.200503.08), libghc6-hdbc-dev (>= 1.0.1), libhugs-hdbc (>= 1.0.1), unixodbc-dev (>= 2.2.11)
Standards-Version: 3.6.2
Section: libs

Package: libghc6-hdbc-odbc-dev
Section: libdevel
Architecture: any
Depends: libghc6-hdbc-dev (>= 1.0.1), ${haskell:Depends}, ${shlibs:Depends}, ${misc:Depends}, unixodbc-dev (>= 2.2.11)
Description: unixODBC HDBC (Haskell Database Connectivity) Driver for GHC
 HDBC provides an abstraction layer between Haskell programs and SQL
 relational databases. This lets you write database code once, in
 Haskell, and have it work with any number of backend SQL databases
 (MySQL, Oracle, PostgreSQL, ODBC-compliant databases, etc.)
 .
 This package provides the ODBC database driver for HDBC under GHC.

Package: libhugs-hdbc-odbc
Section: libs
Architecture: any
Depends: libhugs-hdbc (>= 1.0.1), ${haskell:Depends}, ${shlibs:Depends}, ${misc:Depends}
Description: unixODBC HDBC (Haskell Database Connectivity) Driver for Hugs
 HDBC provides an abstraction layer between Haskell programs and SQL
 relational databases. This lets you write database code once, in
 Haskell, and have it work with any number of backend SQL databases
 (MySQL, Oracle, PostgreSQL, ODBC-compliant databases, etc.)
 .
 This package provides the ODBC database driver for HDBC under Hugs.

## hdbc-odbc 1.0.1.1

=== Makefile ===
--- 
+++ 
@@ -25,14 +25,14 @@
 	./setup configure --hugs
 	./setup build
 
-setup: Setup.lhs HDBC-odbc.cabal
-	ghc -package Cabal Setup.lhs -o setup
+setup: Setup.hs HDBC-odbc.cabal
+	ghc -package Cabal Setup.hs -o setup
 
 clean:
 	-./setup clean
 	-rm -rf html `find . -name "*.o"` `find . -name "*.hi"` \
 		`find . -name "*~"` *.a setup dist testsrc/runtests \
-		local-pkg doctmp
+		local-pkg doctmp *.buildinfo
 	-rm -rf testtmp/* testtmp*
 
 testsrc/runtests: all $(wildcard testsrc/*.hs) $(wildcard testsrc/*/*.hs) $(wildcard testsrc/*/*/*.hs)

=== debian/changelog ===
hdbc-odbc (1.0.1.1) unstable; urgency=low

  * Fix some comments in which the # character confused Haddock
  * Change SQL_DRIVER_COMPLETE to SQL_DRIVER_NOPROMPT.
    Thanks to Ben Kavanagh for the fix.
  * Rebuilt against GHC 6.6.

 -- John Goerzen <jgoerzen@complete.org>  Thu, 19 Oct 2006 22:00:36 -0500

=== debian/control ===
--- 
+++ 
@@ -1,14 +1,14 @@
 Source: hdbc-odbc
 Priority: optional
 Maintainer: John Goerzen <jgoerzen@complete.org>
-Build-Depends: debhelper (>= 4.0.0), ghc6 (>= 6.4.2), ghc6 (<< 6.4.2-999), haskell-devscripts (>= 0.5.6), cpphs, haddock, hugs (>= 98.200503.08), libghc6-hdbc-dev (>= 1.0.1), libhugs-hdbc (>= 1.0.1), unixodbc-dev (>= 2.2.11)
+Build-Depends: debhelper (>= 4.0.0), ghc6 (>= 6.6), ghc6 (<< 6.6-999), haskell-devscripts (>= 0.5.6), cpphs, haddock, hugs (>= 98.200503.08), libghc6-hdbc-dev (>= 1.0.1.2), libhugs-hdbc (>= 1.0.1), unixodbc-dev (>= 2.2.11), libghc6-mtl-dev
 Standards-Version: 3.6.2
 Section: libs
 
 Package: libghc6-hdbc-odbc-dev
 Section: libdevel
 Architecture: any
-Depends: libghc6-hdbc-dev (>= 1.0.1), ${haskell:Depends}, ${shlibs:Depends}, ${misc:Depends}, unixodbc-dev (>= 2.2.11)
+Depends: libghc6-hdbc-dev (>= 1.0.1.2), ${haskell:Depends}, ${shlibs:Depends}, ${misc:Depends}, unixodbc-dev (>= 2.2.11), libghc6-mtl-dev
 Description: unixODBC HDBC (Haskell Database Connectivity) Driver for GHC
  HDBC provides an abstraction layer between Haskell programs and SQL
  relational databases. This lets you write database code once, in

## hdbc-odbc 1.1.2.1

=== debian/changelog ===
hdbc-odbc (1.1.2.1) unstable; urgency=low

  * Rebuild for GHC 6.6.1.

 -- John Goerzen <jgoerzen@complete.org>  Wed, 06 Jun 2007 07:01:33 -0500

hdbc-odbc (1.1.2.0) unstable; urgency=low

  * Rebuild for HDBC 1.1.2.

 -- John Goerzen <jgoerzen@complete.org>  Thu, 03 May 2007 04:50:41 -0500

hdbc-odbc (1.1.0.0) unstable; urgency=low

  * New API thanks to patch from Peter Thiemann.

 -- John Goerzen <jgoerzen@complete.org>  Wed, 02 May 2007 05:58:54 -0500

=== debian/control ===
Source: hdbc-odbc
Priority: optional
Maintainer: John Goerzen <jgoerzen@complete.org>
Build-Depends: debhelper (>= 4.0.0), ghc6 (>= 6.6.1), ghc6 (<< 6.6.1-999), haskell-devscripts (>= 0.5.6), cpphs, haddock, hugs (>= 98.200503.08), libghc6-hdbc-dev (>= 1.1.2.1), libhugs-hdbc (>= 1.1.2), unixodbc-dev (>= 2.2.11), libghc6-mtl-dev
Standards-Version: 3.6.2
Section: libs

Package: libghc6-hdbc-odbc-dev
Section: libdevel
Architecture: any
Depends: libghc6-hdbc-dev (>= 1.0.1.0), ${haskell:Depends}, ${shlibs:Depends}, ${misc:Depends}, unixodbc-dev (>= 2.2.11), libghc6-mtl-dev
Description: unixODBC HDBC (Haskell Database Connectivity) Driver for GHC
 HDBC provides an abstraction layer between Haskell programs and SQL
 relational databases. This lets you write database code once, in
 Haskell, and have it work with any number of backend SQL databases
 (MySQL, Oracle, PostgreSQL, ODBC-compliant databases, etc.)
 .
 This package provides the ODBC database driver for HDBC under GHC.

Package: libhugs-hdbc-odbc
Section: libs
Architecture: any
Depends: libhugs-hdbc (>= 1.1.2), ${haskell:Depends}, ${shlibs:Depends}, ${misc:Depends}
Description: unixODBC HDBC (Haskell Database Connectivity) Driver for Hugs
 HDBC provides an abstraction layer between Haskell programs and SQL
 relational databases. This lets you write database code once, in
 Haskell, and have it work with any number of backend SQL databases
 (MySQL, Oracle, PostgreSQL, ODBC-compliant databases, etc.)
 .
 This package provides the ODBC database driver for HDBC under Hugs.

## hdbc-odbc 1.1.4.0.1

=== debian/changelog ===
hdbc-odbc (1.1.4.0.1) unstable; urgency=low

  * Removed dep on parsec in cabal file.

 -- John Goerzen <jgoerzen@complete.org>  Tue, 29 Jan 2008 14:13:59 -0600

hdbc-odbc (1.1.4.0.0) unstable; urgency=low

  * Update for GHC 6.8.

 -- John Goerzen <jgoerzen@complete.org>  Fri, 11 Jan 2008 11:12:57 -0600

hdbc-odbc (1.1.3.1.0) unstable; urgency=low

  * Removed include of HsBase.h in helper file to assist with Hugs
    builds.  Closes: #458644.

 -- John Goerzen <jgoerzen@complete.org>  Thu, 03 Jan 2008 09:41:25 -0600

hdbc-odbc (1.1.3.0.0) unstable; urgency=low

  * Strictified

 -- John Goerzen <jgoerzen@complete.org>  Wed, 31 Oct 2007 13:33:19 -0500

hdbc-odbc (1.1.2.2) unstable; urgency=low

  * Added missing line to Cabal file.

 -- John Goerzen <jgoerzen@complete.org>  Fri, 12 Oct 2007 16:00:53 -0500

=== debian/control ===
Source: hdbc-odbc
Priority: optional
Maintainer: John Goerzen <jgoerzen@complete.org>
Build-Depends: debhelper (>= 4.0.0), ghc6 (>= 6.8.2), ghc6 (<< 6.8.2-999), haskell-devscripts (>= 0.6.6), cpphs, haddock, hugs (>= 98.200503.08), libghc6-hdbc-dev (>= 1.1.4.0), libhugs-hdbc (>= 1.1.4), unixodbc-dev (>= 2.2.11), libghc6-mtl-dev
Standards-Version: 3.6.2
Section: libs

Package: libghc6-hdbc-odbc-dev
Section: libdevel
Architecture: any
Depends: libghc6-hdbc-dev (>= 1.1.4.0), ${haskell:Depends}, ${shlibs:Depends}, ${misc:Depends}, unixodbc-dev (>= 2.2.11), libghc6-mtl-dev
Description: unixODBC HDBC (Haskell Database Connectivity) Driver for GHC
 HDBC provides an abstraction layer between Haskell programs and SQL
 relational databases. This lets you write database code once, in
 Haskell, and have it work with any number of backend SQL databases
 (MySQL, Oracle, PostgreSQL, ODBC-compliant databases, etc.)
 .
 This package provides the ODBC database driver for HDBC under GHC.

Package: libhugs-hdbc-odbc
Section: libs
Architecture: any
Depends: libhugs-hdbc (>= 1.1.4), ${haskell:Depends}, ${shlibs:Depends}, ${misc:Depends}
Description: unixODBC HDBC (Haskell Database Connectivity) Driver for Hugs
 HDBC provides an abstraction layer between Haskell programs and SQL
 relational databases. This lets you write database code once, in
 Haskell, and have it work with any number of backend SQL databases
 (MySQL, Oracle, PostgreSQL, ODBC-compliant databases, etc.)
 .
 This package provides the ODBC database driver for HDBC under Hugs.

## hdbc-odbc 1.1.4.4.1

=== debian/changelog ===
hdbc-odbc (1.1.4.4.1) unstable; urgency=low

  * Re-built against newer HDBC.

 -- John Goerzen <jgoerzen@complete.org>  Thu, 26 Jun 2008 09:17:04 -0500

hdbc-odbc (1.1.4.4.0) unstable; urgency=low

  * This version not uploaded to Debian.
  * Linking fix for Windows users.

 -- John Goerzen <jgoerzen@complete.org>  Tue, 03 Jun 2008 14:54:45 -0500

hdbc-odbc (1.1.4.3.0) unstable; urgency=low

  * Applied patch from Satoshi Nakamura to correct an error when loading
    UTF-8 data from MySQL that contains NULLs.

 -- John Goerzen <jgoerzen@complete.org>  Mon, 14 Apr 2008 13:42:18 -0500

hdbc-odbc (1.1.4.2.0) unstable; urgency=low

  * Fix two behaviors in the Statement binding that caused trouble
    for Progress databases.

 -- John Goerzen <jgoerzen@complete.org>  Tue, 08 Apr 2008 13:34:26 -0500

hdbc-odbc (1.1.4.1.0) unstable; urgency=low

  * New release that fixes OS detection for Windows.

 -- John Goerzen <jgoerzen@complete.org>  Wed, 02 Apr 2008 13:19:20 -0500

=== debian/control ===
Source: hdbc-odbc
Priority: optional
Maintainer: John Goerzen <jgoerzen@complete.org>
Build-Depends: debhelper (>= 4.0.0), ghc6 (>= 6.8.2), ghc6 (<< 6.8.2-999), haskell-devscripts (>= 0.6.6), cpphs, haddock, hugs (>= 98.200503.08), libghc6-hdbc-dev (>= 1.1.5.0), libhugs-hdbc (>= 1.1.5), unixodbc-dev (>= 2.2.11), libghc6-mtl-dev
Standards-Version: 3.6.2
Section: libs

Package: libghc6-hdbc-odbc-dev
Section: libdevel
Architecture: any
Depends: libghc6-hdbc-dev (>= 1.1.5.0), ${haskell:Depends}, ${shlibs:Depends}, ${misc:Depends}, unixodbc-dev (>= 2.2.11), libghc6-mtl-dev
Description: unixODBC HDBC (Haskell Database Connectivity) Driver for GHC
 HDBC provides an abstraction layer between Haskell programs and SQL
 relational databases. This lets you write database code once, in
 Haskell, and have it work with any number of backend SQL databases
 (MySQL, Oracle, PostgreSQL, ODBC-compliant databases, etc.)
 .
 This package provides the ODBC database driver for HDBC under GHC.

Package: libhugs-hdbc-odbc
Section: libs
Architecture: any
Depends: libhugs-hdbc (>= 1.1.5), ${haskell:Depends}, ${shlibs:Depends}, ${misc:Depends}
Description: unixODBC HDBC (Haskell Database Connectivity) Driver for Hugs
 HDBC provides an abstraction layer between Haskell programs and SQL
 relational databases. This lets you write database code once, in
 Haskell, and have it work with any number of backend SQL databases
 (MySQL, Oracle, PostgreSQL, ODBC-compliant databases, etc.)
 .
 This package provides the ODBC database driver for HDBC under Hugs.

## hdbc-odbc 1.1.6.0.1

=== debian/changelog ===
hdbc-odbc (1.1.6.0.1) unstable; urgency=high

  * Rebuild with newer GHC.

 -- John Goerzen <jgoerzen@complete.org>  Mon, 19 Jan 2009 16:15:40 -0600

hdbc-odbc (1.1.6.0.0) unstable; urgency=low

  * GHC 6.10 patch from Brian Bloniarz.
  * Use dh_haskell_depends.

 -- John Goerzen <jgoerzen@complete.org>  Tue, 30 Dec 2008 09:19:10 -0600

=== debian/control ===
Source: hdbc-odbc
Priority: optional
Maintainer: John Goerzen <jgoerzen@complete.org>
Build-Depends: debhelper (>= 4.0.0), ghc6 (>= 6.8.2dfsg1), haskell-devscripts (>= 0.6.15), cpphs, haddock, hugs (>= 98.200503.08), libghc6-hdbc-dev (>= 1.1.6.2), libhugs-hdbc (>= 1.1.6.2), unixodbc-dev (>= 2.2.11), libghc6-mtl-dev
Standards-Version: 3.6.2
Section: libs

Package: libghc6-hdbc-odbc-dev
Section: libdevel
Architecture: any
Depends: libghc6-hdbc-dev (>= 1.1.6.1), ${haskell:Depends}, ${shlibs:Depends}, ${misc:Depends}, unixodbc-dev (>= 2.2.11), libghc6-mtl-dev
Description: unixODBC HDBC (Haskell Database Connectivity) Driver for GHC
 HDBC provides an abstraction layer between Haskell programs and SQL
 relational databases. This lets you write database code once, in
 Haskell, and have it work with any number of backend SQL databases
 (MySQL, Oracle, PostgreSQL, ODBC-compliant databases, etc.)
 .
 This package provides the ODBC database driver for HDBC under GHC.

Package: libhugs-hdbc-odbc
Section: libs
Architecture: any
Depends: libhugs-hdbc (>= 1.1.6.1), ${haskell:Depends}, ${shlibs:Depends}, ${misc:Depends}
Description: unixODBC HDBC (Haskell Database Connectivity) Driver for Hugs
 HDBC provides an abstraction layer between Haskell programs and SQL
 relational databases. This lets you write database code once, in
 Haskell, and have it work with any number of backend SQL databases
 (MySQL, Oracle, PostgreSQL, ODBC-compliant databases, etc.)
 .
 This package provides the ODBC database driver for HDBC under Hugs.

## hdbc-odbc 2.3.1.1

=== Makefile ===
all: setup
	@echo "Please use Cabal to build this package; not make."
	./setup configure
	./setup build

setup: Setup.hs
	ghc --make -package Cabal -o setup Setup.hs

install: setup
	./setup install

clean:
	-runghc Setup.hs clean
	-rm -rf html `find . -name "*.o"` `find . -name "*.hi" | grep -v debian` \
		`find . -name "*~" | grep -v debian` *.a setup dist testsrc/runtests \
		local-pkg doctmp
	-rm -rf testtmp/* testtmp*

.PHONY: test
test: test-ghc test-hugs
	@echo ""
	@echo "All tests pass."

test-hugs: setup
	@echo " ****** Running hugs tests"
	./setup configure -f buildtests --hugs --extra-include-dirs=/usr/lib/hugs/include
	./setup build
	runhugs -98 +o -P$(PWD)/dist/scratch:$(PWD)/dist/scratch/programs/runtests: \
		dist/scratch/programs/runtests/Main.hs

test-ghc: setup
	@echo " ****** Building GHC tests"
	./setup configure -f buildtests
	./setup build
	@echo " ****** Running GHC tests"
	./dist/build/runtests/runtests

=== debian/changelog ===
hdbc-odbc (2.3.1.1-8) unstable; urgency=medium

  * Upload to unstable as part of GHC 8 transition.

 -- Clint Adams <clint@debian.org>  Thu, 27 Oct 2016 18:37:17 -0400

hdbc-odbc (2.3.1.1-7) experimental; urgency=medium

  [ Dmitry Bogatov ]
  * Use secure (https) uri in Vcs-Git field in 'debian/control'
  * Bump standards version to 3.9.8 (no changes needed)
  * Convert `debian/copyright' to dep5 format

  [ Clint Adams ]
  * Temporarily build-depend on ghc 8.

 -- Clint Adams <clint@debian.org>  Mon, 17 Oct 2016 11:56:09 -0400

hdbc-odbc (2.3.1.1-6) unstable; urgency=medium

  * Switch Vcs-Git/Vcs-Browser headers to new location.

 -- Clint Adams <clint@debian.org>  Thu, 03 Dec 2015 14:55:21 -0500

hdbc-odbc (2.3.1.1-5) experimental; urgency=medium

  * Bump standards-version to 3.9.6
  * Depend on haskell-devscripts >= 0.10 to ensure that this package
    builds against GHC in experimental

 -- Joachim Breitner <nomeata@debian.org>  Thu, 20 Aug 2015 10:29:11 +0200

hdbc-odbc (2.3.1.1-4) unstable; urgency=medium

  * Upload to unstable

 -- Joachim Breitner <nomeata@debian.org>  Mon, 27 Apr 2015 11:55:50 +0200

hdbc-odbc (2.3.1.1-3) experimental; urgency=low

  * Adjust watch file to new hackage layout
  * Depend on haskell-devscripts 0.9, found in experimental

 -- Joachim Breitner <nomeata@debian.org>  Sat, 20 Dec 2014 17:12:56 +0100

hdbc-odbc (2.3.1.1-2) unstable; urgency=low

  * Enable compat level 9
  * Bump standards version to 3.9.4

 -- Joachim Breitner <nomeata@debian.org>  Fri, 24 May 2013 12:52:43 +0200

hdbc-odbc (2.3.1.1-1) experimental; urgency=low

  * Depend on haskell-devscripts 0.8.13 to ensure this package is built
    against experimental
  * Change Vcs headers to Darcs
  * Add watch file
  * New upstream release
  * debian/patches/avoid-haddock-confusion: Avoid a bug(?) in haddock
  * Fix -doc build dependencies

 -- Joachim Breitner <nomeata@debian.org>  Thu, 07 Feb 2013 20:19:54 +0100

hdbc-odbc (2.2.3.0-5) unstable; urgency=low

  * Bump to Standards-Version 3.9.3.

 -- Clint Adams <clint@debian.org>  Tue, 06 Mar 2012 11:04:28 -0500

hdbc-odbc (2.2.3.0-4) unstable; urgency=low

  * [4e01c9f] Standards-Version → 3.9.2, no changes required
  * [ca5d2bf] Rename {lib,}ghc6* to {lib,}ghc*
  * [46c3b78] Add missing substvars, particularly haskell:Provides
  * [f63f9d6] Add prof package

 -- Iain Lane <laney@debian.org>  Mon, 30 May 2011 16:14:46 +0100

hdbc-odbc (2.2.3.0-3) unstable; urgency=low

  * control: Use versioned Replaces: and Conflicts:

 -- Marco Túlio Gontijo e Silva <marcot@debian.org>  Wed, 05 May 2010 23:13:57 -0300

hdbc-odbc (2.2.3.0-2) unstable; urgency=low

  * debian/control: Rename -doc package.

 -- Marco Túlio Gontijo e Silva <marcot@debian.org>  Wed, 17 Mar 2010 19:45:16 -0300

hdbc-odbc (2.2.3.0-1) unstable; urgency=low

  * Rebuilt with latest GHC 6.12.
  * New upstream release.
  * from Joachim Breitner: Fix wrong description; said "Sqlite v3", thx
    to Josh Triplett for spotting it. (Closes: #560909)

 -- John Goerzen <jgoerzen@complete.org>  Wed, 17 Feb 2010 15:26:09 -0600

hdbc-odbc (2.2.0.0-3) unstable; urgency=low

  * Forgot hscolour dependency

 -- Joachim Breitner <nomeata@debian.org>  Sun, 06 Dec 2009 21:22:25 +0100

hdbc-odbc (2.2.0.0-2) unstable; urgency=low

  * Use hlibrary.mk (Closes: 559653)

 -- Joachim Breitner <nomeata@debian.org>  Sun, 06 Dec 2009 21:04:56 +0100

hdbc-odbc (2.2.0.0-1) unstable; urgency=low

  * New upstream release with better support for binary fields.
  * Switch to team maintenance.

 -- John Goerzen <jgoerzen@complete.org>  Tue, 03 Nov 2009 09:46:18 -0600

hdbc-odbc (2.1.0.0-3) unstable; urgency=low

  * Rebuild for newer utf8-string.

 -- John Goerzen <jgoerzen@complete.org>  Thu, 02 Jul 2009 15:23:54 -0500

hdbc-odbc (2.1.0.0-2) unstable; urgency=low

  * Rebuild for GHC 6.10.

 -- John Goerzen <jgoerzen@complete.org>  Wed, 11 Mar 2009 15:13:55 -0500

hdbc-odbc (2.1.0.0-1) unstable; urgency=low

  * New upstream release.

 -- John Goerzen <jgoerzen@complete.org>  Wed, 04 Feb 2009 14:11:16 -0600

hdbc-odbc (2.0.0.0-2) unstable; urgency=low

  * Added missing build-deps.  Closes: #513694.

 -- John Goerzen <jgoerzen@complete.org>  Sat, 31 Jan 2009 09:35:29 -0600

hdbc-odbc (2.0.0.0-1) unstable; urgency=low

  * New upstream release.

 -- John Goerzen <jgoerzen@complete.org>  Fri, 30 Jan 2009 14:47:21 -0600

=== debian/control ===
Source: hdbc-odbc
Maintainer: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
Uploaders:
 John Goerzen <jgoerzen@complete.org>,
Priority: extra
Section: haskell
Build-Depends:
 cdbs,
 cpphs,
 debhelper (>= 9),
 ghc (>= 8),
 ghc-prof,
 haskell-devscripts (>= 0.13),
 libghc-convertible-dev,
 libghc-convertible-prof,
 libghc-hdbc-dev (>= 2.2.0-2),
 libghc-hdbc-prof (>= 2.2.0-2),
 libghc-hunit-dev,
 libghc-hunit-prof,
 libghc-mtl-dev,
 libghc-mtl-prof,
 libghc-time-dev,
 libghc-time-prof,
 unixodbc-dev (>= 2.2.11),
Build-Depends-Indep:
 libghc-convertible-doc,
 libghc-hdbc-doc,
 libghc-hunit-doc,
 libghc-mtl-doc,
 libghc-time-doc,
Standards-Version: 3.9.8
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-haskell/DHG_packages.git/tree/p/hdbc-odbc
Vcs-Git: https://anonscm.debian.org/git/pkg-haskell/DHG_packages.git

Package: libghc-hdbc-odbc-dev
Architecture: any
Depends:
 unixodbc-dev (>= 2.2.11),
 ${haskell:Depends},
 ${misc:Depends},
 ${shlibs:Depends},
Recommends:
 ${haskell:Recommends},
Suggests:
 ${haskell:Suggests},
Provides:
 ${haskell:Provides},
Description: unixODBC HDBC (Haskell Database Connectivity) Driver for GHC
 HDBC provides an abstraction layer between Haskell programs and SQL
 relational databases. This lets you write database code once, in
 Haskell, and have it work with any number of backend SQL databases
 (MySQL, Oracle, PostgreSQL, ODBC-compliant databases, etc.)
 .
 This package provides the ODBC database driver for HDBC under GHC.

Package: libghc-hdbc-odbc-prof
Architecture: any
Depends:
 ${haskell:Depends},
 ${misc:Depends},
 ${shlibs:Depends},
Recommends:
 ${haskell:Recommends},
Suggests:
 ${haskell:Suggests},
Provides:
 ${haskell:Provides},
Description: unixODBC Haskell Database Connectivity Driver; profiling libraries
 HDBC provides an abstraction layer between Haskell programs and SQL
 relational databases. This lets you write database code once, in
 Haskell, and have it work with any number of backend SQL databases
 (MySQL, Oracle, PostgreSQL, ODBC-compliant databases, etc.)
 .
 This package provides the ODBC database driver for HDBC under GHC compiled for
 profiling.

Package: libghc-hdbc-odbc-doc
Architecture: all
Section: doc
Depends:
 ${haskell:Depends},
 ${misc:Depends},
Recommends:
 ${haskell:Recommends},
Suggests:
 ${haskell:Suggests},
Conflicts:
 haskell-hdbc-odbc-doc (<< 2.2.3.0-2),
Provides:
 haskell-hdbc-odbc-doc,
 ${haskell:Provides},
Replaces:
 haskell-hdbc-odbc-doc (<< 2.2.3.0-2),
Description: unixODBC HDBC (Haskell Database Connectivity) Documentation
 HDBC provides an abstraction layer between Haskell programs and SQL
 relational databases. This lets you write database code once, in
 Haskell, and have it work with any number of backend SQL databases
 (MySQL, Oracle, PostgreSQL, ODBC-compliant databases, etc.)
 .
 This package provides documentation for the ODBC database driver for HDBC
 under GHC.

=== debian/watch ===
version=3
http://hackage.haskell.org/package/HDBC-odbc/distro-monitor .*-([0-9\.]+).(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## hdbc-odbc 2.5.0.1

=== debian/changelog ===
hdbc-odbc (2.5.0.1-2) unstable; urgency=medium

  * Remove build dependency on libghc-mtl-dev (provided by ghc-8.4.3)

 -- Ilias Tsitsimpis <iliastsi@debian.org>  Mon, 01 Oct 2018 13:33:38 +0300

hdbc-odbc (2.5.0.1-1) unstable; urgency=medium

  [ Clint Adams ]
  * Set Rules-Requires-Root to no.

  [ Ilias Tsitsimpis ]
  * Bump debhelper compat level to 10
  * New upstream release

 -- Ilias Tsitsimpis <iliastsi@debian.org>  Sun, 30 Sep 2018 11:06:00 +0300

hdbc-odbc (2.3.1.1-9) unstable; urgency=medium

  [ Ilias Tsitsimpis ]
  * Change Priority to optional. Since Debian Policy version 4.0.1,
    priority extra has been deprecated.
  * Use the HTTPS form of the copyright-format URL
  * Modify d/watch and Source field in d/copyright to use HTTPS
  * Declare compliance with Debian policy 4.1.1
  * Use salsa.debian.org URLs in Vcs-{Browser,Git} fields

  [ Clint Adams ]
  * Bump to Standards-Version 4.1.4.

 -- Clint Adams <clint@debian.org>  Mon, 09 Apr 2018 20:05:12 -0400

=== debian/control ===
--- 
+++ 
@@ -2,35 +2,31 @@
 Maintainer: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
 Uploaders:
  John Goerzen <jgoerzen@complete.org>,
-Priority: extra
+Priority: optional
 Section: haskell
+Rules-Requires-Root: no
 Build-Depends:
  cdbs,
  cpphs,
- debhelper (>= 9),
- ghc (>= 8),
+ debhelper (>= 10),
+ ghc (>= 8.4.3),
  ghc-prof,
  haskell-devscripts (>= 0.13),
- libghc-convertible-dev,
- libghc-convertible-prof,
- libghc-hdbc-dev (>= 2.2.0-2),
- libghc-hdbc-prof (>= 2.2.0-2),
- libghc-hunit-dev,
- libghc-hunit-prof,
- libghc-mtl-dev,
- libghc-mtl-prof,
- libghc-time-dev,
- libghc-time-prof,
- unixodbc-dev (>= 2.2.11),
-Build-Depends-Indep:
- libghc-convertible-doc,
+ libghc-hdbc-dev (>= 2.1.0),
+ libghc-hdbc-prof,
+ libghc-concurrent-extra-dev (>= 0.7.0.8),
+ libghc-concurrent-extra-prof,
+ libghc-utf8-string-dev,
+ libghc-utf8-string-prof,
+ libodbc-dev,
+ libpthread-dev,
+Build-Depends-Indep: ghc-doc,
  libghc-hdbc-doc,
- libghc-hunit-doc,
- libghc-mtl-doc,
+ libghc-concurrent-extra-doc,
  libghc-time-doc,
-Standards-Version: 3.9.8
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-haskell/DHG_packages.git/tree/p/hdbc-odbc
-Vcs-Git: https://anonscm.debian.org/git/pkg-haskell/DHG_packages.git
+Standards-Version: 4.1.4
+Vcs-Browser: https://salsa.debian.org/haskell-team/DHG_packages/tree/master/p/hdbc-odbc
+Vcs-Git: https://salsa.debian.org/haskell-team/DHG_packages.git [p/hdbc-odbc]
 
 Package: libghc-hdbc-odbc-dev
 Architecture: any

=== debian/watch ===
version=3
https://hackage.haskell.org/package/HDBC-odbc/distro-monitor .*-([0-9\.]+).(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))
